View Issue Details

IDProjectCategoryView StatusLast Update
0027646RunnerHTML5Public2018-07-02 11:36
Reporter8BitWarriorAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product VersionPre-2.1.3 
Target VersionFixed in Version2.1.4 
Summary0027646: HTML5: variable_..._set() functions not working
DescriptionThe variable_instance_set() and variable_global_set() functions do not work for the HTML5 target when code is obfuscated.
Steps To Reproducex = 0;
variable_instance_set(id, "x", 1);
show_message_async("x should equal 1: " + string(x));

myVar = 0;
variable_instance_set(id, "myVar", 1);
show_message_async("myVar should equal 1: " + string(myVar));

global.globalVar = 0;
variable_global_set("globalVar", 1);
show_message_async("globalVar should equal 1: " + string(global.globalVar));
TagsNo tags attached.
1.4 Found In1.4.17
2.x Runtime Found In2.1.0.136
2.x Runtime Verified In

Activities

8BitWarrior

2017-08-31 18:26

Updater  

VariableSetHTML5.yyz (14,834 bytes)

Russell Kay

2017-09-01 17:37

Manager   ~0055233

Fixed in gitlab

Dan

2018-07-02 11:36

Adminstrator   ~0060779

Was fixed for 1.4.1804.